#ifndef QRCODE_ENCODELIB_H
#define QRCODE_ENCODELIB_H

#define ENC_ALPHA		0;
#define ENC_BYTE		1;
#define ENC_NUMERIC		2;
#define ENC_CHINESE		3;
#define ENC_AUTO		4;

#define FNC1_MODE_NO		0;
#define FNC1_MODE_FIRST		1;
#define FNC1_MODE_SECOND	2;

#define CORRECTION_LEVEL_L  0;
#define CORRECTION_LEVEL_M  1;
#define CORRECTION_LEVEL_Q  2;
#define CORRECTION_LEVEL_H  3;

//Version for Micro QRCode 
#define MICROQR_VER_M1    1;
#define MICROQR_VER_M2    2;
#define MICROQR_VER_M3    3;
#define MICROQR_VER_M4    4;


typedef struct _tagQRCODECONTEXT
{
	int		nVersion;
	int		nCorrectionLevel;
	int		nEncodeMode;
	int		nEci;
	int		nFnc1Mode;
	int		nStructuredAppendIndex; 
	int		nStructuredAppendCounter;
	int		nApplicationIndicator;
	bool	bStructuredAppend;
	bool	bProcessTilde;
	bool	bAutoConfigurate;
	char	cData[7100];				
	int     nSize;
	BYTE	nMargin;
	BYTE	nPixelSize;
	COLORREF clBackGround;
	COLORREF clForeGround;
} _QRCODECONTEXT,*_LPQRCODECONTEXT;

void  __stdcall _InitQRCodeContext(_QRCODECONTEXT *pQRCodeCtx);
BOOL  __stdcall _QRCodeEncode2File(_QRCODECONTEXT *pQRCodeCtx, LPCTSTR lpImageFile);
BOOL  __stdcall _FreeQRCodeContext();
HBITMAP __stdcall _QRCodeEncode2Bitmap(_QRCODECONTEXT *pQRCodeCtx);
HBITMAP __stdcall _MicroQREncode2Bitmap(_QRCODECONTEXT *pQRCodeCtx);
BOOL __stdcall _MicroQREncode2File(_QRCODECONTEXT *pQRCodeCtx, LPCTSTR lpImageFile);
BOOL __stdcall _QRCodeRegister(char *pMailBox,char *pRegCode);
BOOL __stdcall _QRRegister(char *pPrefix, char *pMailBox,char *pRegCode);
#endif	/*QRCODE_ENCODELIB_H*/

